Subject: Re: [PATCH 3/16] add base support for Celleb platform

From: Geoff Levand <[email-masked]>
Date: Wed, 15 Nov 2006 16:51:25 -0800

Christoph Hellwig wrote:
>> @@ -16,3 +16,4 @@
>>  obj-$(CONFIG_PPC_PASEMI)		+= pasemi/
>>  obj-$(CONFIG_PPC_CELL)		+= cell/
>>  obj-$(CONFIG_EMBEDDED6xx)	+= embedded6xx/
>> +obj-$(CONFIG_PPC_CELLEB)	+= celleb/
> 
> So another platforms directory.  I think we need to sort out the
> mess we have currently.
> 
> I'd prefer either
> 
>   arch/powerpc/platforms/cell		generic cell code (spufs, ..)
>   arch/powerpc/platforms/ibmcell	cell blade & co support
>   arch/powerpc/platforms/ps3hv		Sony hypervisor support
>   arch/powerpc/platforms/celleb		Toshiba

I also think this is preferable to the existing layout, that has both generic
cell support and IBM Blade support in one directory (platforms/cell).

-Geoff